package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.UriInfo;

@Path("/static/")
public class MyResource2 {
    @Context
    UriInfo uriInfo;

    @Context
    HttpHeaders headers;

    @GET
    @Path("/test2")
    public String handleRequest() {
        return String.format("handleRequest, path: %s, headers: %s%n",
                uriInfo.getPath(),
                headers.getRequestHeader("myHeader"));
    }

    @GET
    @Path("/test3")
    public String handleRequest2() {
        return String.format("handleRequest2, path: %s, headers: %s%n",
                uriInfo.getPath(),
                headers.getRequestHeader("myHeader2"));
    }
}